import transcript

fields = {0:"name", 1:"chrom", 2:"strand", 3:"txStart", 4:"txEnd", 5:"exonCount", 6:"exonStarts", 7:"exonEnds"}

def parse(file):
    txts = []
    
    ff = open(file, 'r')
    
    for line in ff.readlines():
        cols = line.split("\t")

        if cols[0]:
            txt = transcript.Transcript(cols[1])
            
            for i in range(len(cols)):
                if i in fields:
                    if i < 8:
                        setattr(txt, fields[i], cols[i])

            exonStarts = cols[6].rstrip(',').split(',')
            exonEnds = cols[7].rstrip(',').split(',')
            txt.exons = []
            for e in range(len(exonStarts)):
                txt.exons.append([int(exonStarts[e])+1, int(exonEnds[e])])

            #calculate transcript length for coverage
            for exon in txt.exons:
                txt.length += int(exon[1]) - int(exon[0]) + 1
            #print txt.name, txt.exonCount, txt.length, txt.exons[0]
            txts.append(txt)
        
    ff.close()
    
    return txts
