from analysis import transcript

fields = {0:"name", 1:"chrom", 2:"strand", 3:"txStart", 4:"txEnd", 5:"cdsStart", 6:"cdsEnd", 7:"exonCount", 8:"exonStarts", 9:"exonEnds", 15:"alias"}

def parse(file):
    txts = []
    
    ff = open(file, 'r')
    
    for line in ff.readlines():
        cols = line.rstrip("\n").split("\t")

        if cols[0]:
            txt = transcript.Transcript(cols[0])
            
            for i in range(len(cols)):
                if i in fields:
                    if i < 9 or i == 15:
                        setattr(txt, fields[i], cols[i])

            exonStarts = cols[8].rstrip(',').split(',')
            exonEnds = cols[9].rstrip(',').split(',')
            txt.exons = []
            for e in range(len(exonStarts)):
                #start+1: seems necessary at least for mouse ensembl file
                txt.exons.append([int(exonStarts[e])+1, int(exonEnds[e])])

            #calculate transcript length for coverage
            for exon in txt.exons:
                txt.length += int(exon[1]) - int(exon[0]) + 1
                
            txts.append(txt)
        
    ff.close()
    
    return txts
