#!/bin/bash

E_WRONG_ARGS=85
E_NO_FILE=86
min_num_args=1
max_num_args=1
line1="EVENT_FILE"
script_parameters="${line1}"

if [ $# -lt $min_num_args ] || [ $# -gt $max_num_args ]
then
  echo -e "Usage: `basename $0` $script_parameters"
  exit $E_WRONG_ARGS
fi

event_file=$1
if [ ! -f "${event_file}" ]
then
  echo "ERROR: Cannot find event file: ${event_file}"
  exit $E_NO_FILE
fi

get_grp_lines="grep GRPNUM ${event_file}"
coord_patt="\(chr[^:]\+\):\([0-9]\+\)-\([0-9]\+\)"
pattern="\(GRPNUM:[0-9]\+\).*COORDS:${coord_patt},${coord_patt} .*"
sed_expr="s/${pattern}/\2 \3 \4 \1\n\5 \6 \7 \1/"

${get_grp_lines} | sed "${sed_expr}"
