#!/usr/bin/perl

use strict;

my $qual = 5;
my $polya = 0;

my $file = shift;

open(F,$file) || die "Cannot read from input file $file";

my %index;

while(<F>) {
    chomp;
    my ($read,$s,$n) = split "\t";
    $index{"$read/$n"} = $s;
}

close F;


# interate through a eland file for a set of reads
while (my $line = <>) {
    chomp $line;
    my @tok = split("\t", $line);
    
    my $read;
    
    if ($tok[0] =~ /^([^_]+_\d+)/) {
        $read = join(":",($1),@tok[2..5]);
    } else {
        $read = join(":",($tok[0] . "_" . $tok[1]),@tok[2..5]);
    }
    
    
    
    my $s = $index{"$read/$tok[7]"};
    if ($s) {
        
	if ($polya) {
	    my $tprop = $tok[8] =~ tr/Tt/Tt/;
	    next if $tprop < 40;
	}
	
	print join("\n",
		   "@".$read."_".$s."/".$tok[7],
		   $tok[8],
		   "+",
		   $qual x length($tok[8])),"\n";
	
	
	
	#print $read, "/$tok[7]\t", @tok, "\n";
    }
    
    
    
}
