#!/usr/bin/perl

# given/piped a TSV list, extract those that are listed in an unmapped file

use strict;
use Data::Dumper;

my $usage = "getallunmappedfromTSV.pl <unmappedfile> <tsvfile> > <outputtsv>";

my $unmappedfile = shift || die $usage;
my $tsvfile = shift;

open (UN,$unmappedfile);
my $tsvfh;
open (TSV,$tsvfile) if $tsvfile;
$tsvfh = $tsvfile? *TSV : *STDIN;

my %ureads;

while (<UN>) {
    chomp;
    my ($tmp, $read) = $_ =~ /^>?(tr)?(\S+)/;
    $ureads{$read}++;
}


while (<$tsvfh>) {
    my ($tmp, $read) = $_ =~ /^>?(tr)?(\S+)/;
    #print $read, "\n";
    print $_ if $ureads{$read};
}


close UN;
close TSV if $tsvfile;




